// disp.h -- Header for Borland C++ version of Zortech's disp module

#ifndef __DISP_H
#define __DISP_H  1     // Prevent multiple #includes

#include <conio.h>

#define disp_printf cprintf
#define disp_setattr textattr
#define disp_puts cputs
#define disp_startstand() textattr(DISP_REVERSEVIDEO)
#define disp_endstand() textattr(DISP_NORMAL)

void disp_open(void);
void disp_close(void);
void disp_move(int,int);
void disp_eeol(void);
void disp_eeop(void);
void disp_box(int,int,unsigned,unsigned,unsigned,unsigned);
void disp_pokew(int,int,unsigned);
void disp_peekbox(void far *,unsigned,unsigned,unsigned,unsigned);
void disp_fillbox(unsigned,unsigned,unsigned,unsigned,unsigned);
void disp_pokebox(void far *,unsigned,unsigned,unsigned,unsigned);
void disp_hidecursor(void);
void disp_showcursor(void);
void disp_scroll(int,unsigned,unsigned,unsigned,unsigned,unsigned);

int disp_putc(int);
int disp_getmode(void);

#define DISP_REVERSEVIDEO 0x70
#define DISP_NORMAL 0x07

#endif   // __DISP_H


// Copyright (c) 1991 by Tom Swan. All rights reserved
// Revision 1.00    Date: 07/02/1991   Time: 08:04 pm
