// key.h -- Header for key.cpp

#ifndef __KEY_H    //
#define __KEY_H         1     // Prevent multiple #includes

/* -- Various key definitions. The values work only with the getkey
function in the key module; they do not work with the getch and other
standard key-input library functions. */

int getKey(void);
int keyWaiting(void);
void ungetKey(int k);

#endif   // __KEY_H


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 09/26/1990   Time: 07:32 pm
