// selector.h -- Header for selector.cpp

#ifndef __SELECTOR_H
#define __SELECTOR_H    1     // Prevent multiple #includes

#include "stritem.h"
#include "list.h"
#include "window.h"

//class selector: public cwindow, public list {
class selector: public cwindow, public list {
  private:
    int showHide;           // True==pop-up, false==stationary
    int row;                // Current row, -1==not initialized
    void highlight(int row);
    void showItem(int row);
    void moveUp(int &row);
    void moveDown(int &row);
  public:
    selector(winStruct &ws, const char *title, int popup = 1);
    strItem *getSelection(void);
};

#endif   // __SELECTOR_H


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 09/23/1990   Time: 05:40 pm

// Revision 1.01    Date: 07/08/1991   Time: 05:41 pm
// Converted for Borland C++ 2.0

