// stritem.h -- Header for stritem.cpp

#ifndef __STRITEM_H
#define __STRITEM_H  1     // Prevent multiple #includes

#include "item.h"

class strItem: public item {
  private:
    char *sp;

  public:

  // -- Constructors and destructor
    strItem(const char *s);
    strItem(const char *s, int maxLen);
    virtual ~strItem();

  // -- Member functions
    virtual char *getString(void) { return sp; }
    void putString(const char *s);
    void putString(const char *s, int maxLen);
};

#endif   // __STRITEM_H


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 09/23/1990   Time: 04:41 pm

