// titem.cpp -- Test item class

//#include <stream.hpp>
#include <iostream.h>
#include "item.h"

class derivedItem: public item {
  public:
    derivedItem();
    virtual ~derivedItem();
};

main()
{
  item *ip1;
  item *ip2;

  cout << "\nCreating new item on the heap";
  ip1 = new item;
  cout << "\nCreating new derivedItem on the heap";
  ip2 = new derivedItem;
  cout << "\nLinking the two items together";
  ip1->link(ip2);
  cout << "\nUnlinking derived item";
  ip2->unlink();
  cout << "\nDeleting the new item";
  delete ip1;
  cout << "\nDeleting the derived item";
  delete ip2;
}

derivedItem::derivedItem()
{
  cout << "\n Inside derivedItem's constructor";
}

derivedItem::~derivedItem()
{
  cout << "\n Inside derivedItem's destructor";
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 10/22/1990   Time: 10:40 am

// Revision 1.01    Date: 07/08/1991   Time: 05:41 pm
// Converted for Borland C++ 2.0

